# List Document fields

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/documentfields/list/

`GET /unified/e-signature/document_fields`

Resource: **DocumentFields** · API: **Unified E-Signature API**

## Supported integrations

DocuSign

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`signing_request`** _(object)_
  The signing request on which the field is found
- **`document`** _(object)_
  The document on which the field is found

## Response body

- **`result`** _(array<object>)_
  List of Document fields
  - **`id`** _(string)_
    The unique identifier for the document field
  - **`label`** _(string)_
    Human readable name for the field
  - **`type`** _(string)_
    The type of the field
    Allowed: `signature`, `initials`, `full_name`, `signing_date`, `company_name`, `title`, `text`, `email`
  - **`is_read_only`** _(boolean)_
    Specifies if the field can be edited by the participants
  - **`is_required`** _(boolean)_
    Specifies if the field is required to be filled by the participants to complete the signing request
  - **`document`** _(object)_
    The document on which the field is found
    - **`id`** _(string)_
      The unique identifier for the document
    - **`page_number`** _(string)_
      The page number of which the field is found inside the document
    - **`position`** _(object)_
      - **`x`** _(string)_
        The X-axis coordinate position for the field
      - **`y`** _(string)_
        The Y-axis coordinate position for the field
  - **`signing_request`** _(object)_
    The signing request on which the field is found
    - **`id`** _(string)_
      The unique identifier for the signing request
  - **`participant`** _(object)_
    The participant who needs to fill this field
    - **`id`** _(string)_
      The unique identifier of the participant
  - **`created_at`** _(string)_
    The date and time when the document field was created
  - **`updated_at`** _(string)_
    The date and time when the document field was updated
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/e-signature/document_fields?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/e-signature/document_fields?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/e-signature/document_fields"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'e-signature',
  'documentfields',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "e-signature",
        "documentfields",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
